PrimitiveAssertion (Apache CXF API 2.2.12-patch-03 API)
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class PrimitiveAssertion

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion

All Implemented Interfaces:
  PolicyAssertion, org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

Direct Known Subclasses:
  JaxbAssertion, NestedPrimitiveAssertion, XmlPrimitiveAssertion

    public class PrimitiveAssertion

extends Object
implements PolicyAssertion

Field Summary
`protected QName` | `name`
`protected boolean` | `optional`

Constructor Summary
`PrimitiveAssertion()`
`PrimitiveAssertion(Element element)`
`PrimitiveAssertion(QName n)`
`PrimitiveAssertion(QName n, boolean o)`

Method Summary
`protected PolicyAssertion` | `cloneMandatory()`
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`QName` | `getName()`
`org.apache.neethi.Policy` | `getPolicy()`
`short` | `getType()`
`boolean` | `isAsserted(AssertionInfoMap aim)`
`boolean` | `isOptional()`
`org.apache.neethi.PolicyComponent` | `normalize()`
`void` | `serialize(javax.xml.stream.XMLStreamWriter writer)`
`void` | `setName(QName n)`
`void` | `setOptional(boolean o)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected QName name

### optional

    protected boolean optional

Constructor Detail

### PrimitiveAssertion

    public PrimitiveAssertion()

### PrimitiveAssertion

    public PrimitiveAssertion(QName n)

### PrimitiveAssertion

    public PrimitiveAssertion(QName n,
                              boolean o)

### PrimitiveAssertion

    public PrimitiveAssertion(Element element)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`

### getType

    public short getType()

  Specified by:
    `getType` in interface `org.apache.neethi.PolicyComponent`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `org.apache.neethi.Assertion`

### setName

    public void setName(QName n)

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `org.apache.neethi.Assertion`

### setOptional

    public void setOptional(boolean o)

### normalize

    public org.apache.neethi.PolicyComponent normalize()

  Specified by:
    `normalize` in interface `org.apache.neethi.Assertion`

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter writer)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.neethi.Assertion`
  Specified by:
    `serialize` in interface `org.apache.neethi.PolicyComponent`
  Throws:
    `javax.xml.stream.XMLStreamException`

### cloneMandatory

    protected PolicyAssertion cloneMandatory()

### getPolicy

    public org.apache.neethi.Policy getPolicy()

  Specified by:
    `getPolicy` in interface `PolicyAssertion`

### isAsserted

    public boolean isAsserted(AssertionInfoMap aim)

  Specified by:
    `isAsserted` in interface `PolicyAssertion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF